Subject: [bug#30469] [PATCH 0/1] Require Guile >= 2.0.14

From: Eric Bavier <[email-masked]>
Date: Sat, 24 Feb 2018 08:30:32 -0600

On Thu, 15 Feb 2018 16:26:27 +0100
Ludovic Courtès <[email-masked]> wrote:

> Hello Guix,
> 
> This patch is to require Guile >= 2.0.14, released one year ago, instead
> of 2.0.9, released in 2013.
> 
> For the record, here’s the distro status:
> 
>   • Debian unstable has 2.2:
>     <https://packages.debian.org/search?suite=default&section=all&arch=any&searchon=names&keywords=guile-2.2>.
> 
>   • Older Debian versions have 2.0.13 (not .14):
>     <https://packages.debian.org/search?keywords=guile-2.0>.

How much of this patch would change if it were to instead support
2.0.13?  Is cutting off users of Debian stable a good idea?

> 
>   • Parabola, Gentoo, Homebrew, openSUSE, Fedora 26+ have 2.0.14 and/or
>     2.2: <https://repology.org/metapackage/guile/versions>.
> 
> I’d like to have this change in place for the next Guix release, 0.14.1
> I presume.
> 
> I’d also like it to be the last release that support Guile 2.0.

Same question.

`~Eric